Debian Bug report logs - #581704
sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile

version graph

Package: sysvinit; Maintainer for sysvinit is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysvinit is src:sysvinit.

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Sat, 15 May 2010 04:33:02 UTC

Severity: grave

Found in version sysvinit/2.88dsf-4

Fixed in version sysvinit/2.88dsf-5

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 04:33:05 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Fri, 14 May 2010 21:29:52 -0700
[Message part 1 (text/plain, inline)]
Package: sysvinit
Version: 2.88dsf-4
Severity: grave
Justification: renders package unusable

[Severity grave on the assumption that this affects other systems too.
I'd find it quite surprising if it only happened due to some quirk of my
system, but if so then feel free to downgrade to important.]

I just upgraded sysvinit and related packages to a version that
makes CONCURRENCY=startpar an alias of CONCURRENCY=makefile:

[UPGRADE] initscripts 2.87dsf-10 -> 2.88dsf-4
[UPGRADE] sysv-rc 2.87dsf-10 -> 2.88dsf-4
[UPGRADE] sysvinit 2.87dsf-10 -> 2.88dsf-4
[UPGRADE] sysvinit-utils 2.87dsf-10 -> 2.88dsf-4

I already used CONCURRENCY=startpar on my system, and it worked quite
well, but I didn't use CONCURRENCY=makefile because it actually boots
slower on my system.

After upgrading, when I rebooted to test the new mechanism, it seems
that some key init scripts (such as mounting the root filesystem
read-write and setting the hostname) either didn't run or didn't run
soon enough; I got a pile of errors about failures to write due to a
read-only filesystem, and the system stopped at some point and never
finished booting.  To recover, I had to boot into single-user mode,
remount the filesystem read-write, and set CONCURRENCY=none in
/etc/default/rcS.

I've attached pictures taken of the messages shown when booting with
CONCURRENCY=startpar.

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sysvinit depends on:
ii  initscripts                   2.88dsf-4  scripts for initializing and shutt
ii  libc6                         2.10.2-8   Embedded GNU C Library: Shared lib
ii  libselinux1                   2.0.94-1   SELinux runtime shared libraries
ii  libsepol1                     2.0.40-2   SELinux library for manipulating b
ii  sysv-rc                       2.88dsf-4  System-V-like runlevel change mech
ii  sysvinit-utils                2.88dsf-4  System-V-like utilities

sysvinit recommends no packages.

sysvinit suggests no packages.

-- no debconf information
[20100514_001.jpg (image/jpeg, attachment)]
[20100514_002.jpg (image/jpeg, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 05:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 15 May 2010 05:51:06 GMT) Full text and rfc822 format available.

Message #8 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Josh Triplett <josh@joshtriplett.org>, 581704@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#581704: sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Sat, 15 May 2010 07:46:34 +0200
[Josh Triplett]
> I already used CONCURRENCY=startpar on my system, and it worked
> quite well, but I didn't use CONCURRENCY=makefile because it
> actually boots slower on my system.

Interesting.  I assume there are bugs in some combination of init.d
scripts on your system.  I use CONCURRENCY=makefile on several
systems, and it work for me. :)

> After upgrading, when I rebooted to test the new mechanism, it seems
> that some key init scripts (such as mounting the root filesystem
> read-write and setting the hostname) either didn't run or didn't run
> soon enough; I got a pile of errors about failures to write due to a
> read-only filesystem, and the system stopped at some point and never
> finished booting.  To recover, I had to boot into single-user mode,
> remount the filesystem read-write, and set CONCURRENCY=none in
> /etc/default/rcS.
>
> I've attached pictures taken of the messages shown when booting with
> CONCURRENCY=startpar.

Can you provide the output from /usr/share/insserv/make-testsuite, and
also the content of /var/log/boot after editing /etc/default/bootlogd
to enable bootlogd and rebooting once to record all errors?  Also,
please provide the output from 'ls /etc/rc?.d'.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, josh@joshtriplett.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 06:27:03 GMT) Full text and rfc822 format available.

Message #11 received at 581704@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Debian Bug Tracking System <581704@bugs.debian.org>
Subject: Re: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Fri, 14 May 2010 23:23:56 -0700
Package: sysvinit
Version: 2.88dsf-4
Severity: normal

Petter Reinholdtsen wrote:
> [Josh Triplett]
> > I already used CONCURRENCY=startpar on my system, and it worked
> > quite well, but I didn't use CONCURRENCY=makefile because it
> > actually boots slower on my system.
> 
> Interesting.  I assume there are bugs in some combination of init.d
> scripts on your system.  I use CONCURRENCY=makefile on several
> systems, and it work for me. :)

It used to work for me too at one point; it just booted a few seconds
slower, so I used startpar instead.

> > After upgrading, when I rebooted to test the new mechanism, it seems
> > that some key init scripts (such as mounting the root filesystem
> > read-write and setting the hostname) either didn't run or didn't run
> > soon enough; I got a pile of errors about failures to write due to a
> > read-only filesystem, and the system stopped at some point and never
> > finished booting.  To recover, I had to boot into single-user mode,
> > remount the filesystem read-write, and set CONCURRENCY=none in
> > /etc/default/rcS.
> >
> > I've attached pictures taken of the messages shown when booting with
> > CONCURRENCY=startpar.
> 
> Can you provide the output from /usr/share/insserv/make-testsuite,

Attached as make-testsuite.log.

> and
> also the content of /var/log/boot after editing /etc/default/bootlogd
> to enable bootlogd and rebooting once to record all errors?

Bootlogd seems unlikely to work with a read-only root filesystem.
However, if it would help, I could boot without "quiet", and snap a
picture of the first screen of messages after /etc/init.d/rc says "Using
makefile-style concurrent boot in runlevel S".

> Also,
> please provide the output from 'ls /etc/rc?.d'.

~$ ls /etc/rc?.d
/etc/rc0.d:
K01alsa-utils    K01gdm3             K02sendsigs      K06ifupdown
K01anacron       K01network-manager  K03rsyslog       K07umountfs
K01avahi-daemon  K01openbsd-inetd    K04hwclock.sh    K08umountroot
K01bluetooth     K01qemu-kvm         K04umountnfs.sh  K09halt
K01fuse          K01urandom          K05networking    README

/etc/rc1.d:
K01anacron       K01cron  K01network-manager  K03rsyslog   S01killprocs
K01avahi-daemon  K01cups  K01openbsd-inetd    README       S02single
K01bluetooth     K01gdm3  K01qemu-kvm         S01bootlogs  S05bootchart

/etc/rc2.d:
README             S01sudo          S02openbsd-inetd    S04gdm3
S01bootlogs        S02anacron       S02rsync            S05bootchart
S01loadcpufreq     S02cpufrequtils  S03avahi-daemon     S05rc.local
S01nethack-common  S02cron          S03bluetooth        S05rmnologin
S01qemu-kvm        S02dbus          S03network-manager  S05stop-bootlogd
S01rsyslog         S02ntp           S04cups

/etc/rc3.d:
README             S01sudo          S02openbsd-inetd    S04gdm3
S01bootlogs        S02anacron       S02rsync            S05bootchart
S01loadcpufreq     S02cpufrequtils  S03avahi-daemon     S05rc.local
S01nethack-common  S02cron          S03bluetooth        S05rmnologin
S01qemu-kvm        S02dbus          S03network-manager  S05stop-bootlogd
S01rsyslog         S02ntp           S04cups

/etc/rc4.d:
README             S01sudo          S02openbsd-inetd    S04gdm3
S01bootlogs        S02anacron       S02rsync            S05bootchart
S01loadcpufreq     S02cpufrequtils  S03avahi-daemon     S05rc.local
S01nethack-common  S02cron          S03bluetooth        S05rmnologin
S01qemu-kvm        S02dbus          S03network-manager  S05stop-bootlogd
S01rsyslog         S02ntp           S04cups

/etc/rc5.d:
README             S01sudo          S02openbsd-inetd    S04gdm3
S01bootlogs        S02anacron       S02rsync            S05bootchart
S01loadcpufreq     S02cpufrequtils  S03avahi-daemon     S05rc.local
S01nethack-common  S02cron          S03bluetooth        S05rmnologin
S01qemu-kvm        S02dbus          S03network-manager  S05stop-bootlogd
S01rsyslog         S02ntp           S04cups

/etc/rc6.d:
K01alsa-utils    K01gdm3             K02sendsigs      K06ifupdown
K01anacron       K01network-manager  K03rsyslog       K07umountfs
K01avahi-daemon  K01openbsd-inetd    K04hwclock.sh    K08umountroot
K01bluetooth     K01qemu-kvm         K04umountnfs.sh  K09reboot
K01fuse          K01urandom          K05networking    README

/etc/rcS.d:
README                S08mtab.sh                S16mountnfs-bootclean.sh
S01mountkernfs.sh     S09checkfs.sh             S17kbd
S02udev               S10ifupdown               S18console-setup
S03mountdevsubfs.sh   S10mountall.sh            S19alsa-utils
S04bootlogd           S11mountall-bootclean.sh  S19bootmisc.sh
S05keyboard-setup     S12mountoverflowtmp       S19fuse
S06hostname.sh        S13pcmciautils            S19lm-sensors
S06hwclockfirst.sh    S13procps                 S19schroot
S07checkroot.sh       S13udev-mtab              S19screen-cleanup
S08hwclock.sh         S13x11-common             S19urandom
S08ifupdown-clean     S14networking             S20stop-bootlogd-single
S08module-init-tools  S15mountnfs.sh

- Josh Triplett

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.33-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sysvinit depends on:
ii  initscripts                   2.88dsf-4  scripts for initializing and shutt
ii  libc6                         2.10.2-8   Embedded GNU C Library: Shared lib
ii  libselinux1                   2.0.94-1   SELinux runtime shared libraries
ii  libsepol1                     2.0.40-2   SELinux library for manipulating b
ii  sysv-rc                       2.88dsf-4  System-V-like runlevel change mech
ii  sysvinit-utils                2.88dsf-4  System-V-like utilities

sysvinit recommends no packages.

sysvinit suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 07:42:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 15 May 2010 07:42:11 GMT) Full text and rfc822 format available.

Message #16 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Josh Triplett <josh@joshtriplett.org>, 581704@bugs.debian.org
Subject: Re: Bug#581704: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Sat, 15 May 2010 09:32:44 +0200
[Josh Triplett]
> Bootlogd seems unlikely to work with a read-only root filesystem.

Ah, right.

> However, if it would help, I could boot without "quiet", and snap a
> picture of the first screen of messages after /etc/init.d/rc says
> "Using makefile-style concurrent boot in runlevel S".

Yes, please.  Your initial pictures did not show any messages when
running the scripts in rcS.d/ (which is not really the runlevel S, but
the "boot" sequence), and the rest of the messages also looked like
the scripts in rcS.d/ did not run at all.  I have no idea how this can
happen, and welcome more information.  What is the content of your
/etc/init.d/.depend.* files?  The .depend.boot file would be used for
rcS.d/.

> ~$ ls /etc/rc?.d

All of these look fine.  The most important one is the rcS.d/ list:

> /etc/rcS.d:
> README                S08mtab.sh                S16mountnfs-bootclean.sh
> S01mountkernfs.sh     S09checkfs.sh             S17kbd
> S02udev               S10ifupdown               S18console-setup
> S03mountdevsubfs.sh   S10mountall.sh            S19alsa-utils
> S04bootlogd           S11mountall-bootclean.sh  S19bootmisc.sh
> S05keyboard-setup     S12mountoverflowtmp       S19fuse
> S06hostname.sh        S13pcmciautils            S19lm-sensors
> S06hwclockfirst.sh    S13procps                 S19schroot
> S07checkroot.sh       S13udev-mtab              S19screen-cleanup
> S08hwclock.sh         S13x11-common             S19urandom
> S08ifupdown-clean     S14networking             S20stop-bootlogd-single
> S08module-init-tools  S15mountnfs.sh

This is the ordering on my test machine, if you want to compare:

root@tjener:~# ls /etc/rcS.d/
README               S10ifupdown-clean         S19portmap
S01mountkernfs.sh    S10module-init-tools      S20nfs-common
S02early-readahead   S10mtab.sh                S21mountnfs.sh
S03udev              S11checkfs.sh             S22mountnfs-bootclean.sh
S04mountdevsubfs.sh  S12resize_lvm             S23console-screen.sh
S05bootlogd          S13mountall.sh            S24console-setup
S06keymap.sh         S14mountall-bootclean.sh  S25alsa-utils
S07keyboard-setup    S15mountoverflowtmp       S25bootmisc.sh
S08hdparm            S16procps                 S25fuse
S08hostname.sh       S16resolvconf             S25later-readahead
S08hwclockfirst.sh   S16udev-mtab              S25screen-cleanup
S08lvm2              S16x11-common             S25urandom
S09checkroot.sh      S17ifupdown               S26stop-bootlogd-single
S10hwclock.sh        S18networking
root@tjener:~#

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 12:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 15 May 2010 12:21:05 GMT) Full text and rfc822 format available.

Message #21 received at 581704@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: 581704@bugs.debian.org
Subject: Re: sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Sat, 15 May 2010 14:17:10 +0200
[Message part 1 (text/plain, inline)]
Hi

I can reproduce this problem on systems that are using
	$ grep CONCURRENCY /etc/default/rcS 
	CONCURRENCY=startpar

After setting it to CONCURRENCY=makefile (or removing the setting 
alltogether, which has become equivalent with CONCURRENCY=makefile in 
sysvinit 2.88dsf-4 anyways), the problem vanishes. So it seems that only
the startpar alias is affected; CONCURRENCY=makefile itself is working fine
on all of my systems.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 18:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 15 May 2010 18:27:08 GMT) Full text and rfc822 format available.

Message #26 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Stefan Lippers-Hollmann <s.L-H@gmx.de>, 581704@bugs.debian.org, Josh Triplett <josh@joshtriplett.org>
Subject: Re: Bug#581704: sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Sat, 15 May 2010 20:23:09 +0200
[Stefan Lippers-Hollmann]
> Hi
> 
> I can reproduce this problem on systems that are using
> 	$ grep CONCURRENCY /etc/default/rcS 
> 	CONCURRENCY=startpar

Thank you.  Now I see it too.

> After setting it to CONCURRENCY=makefile (or removing the setting
> alltogether, which has become equivalent with CONCURRENCY=makefile
> in sysvinit 2.88dsf-4 anyways), the problem vanishes. So it seems
> that only the startpar alias is affected; CONCURRENCY=makefile
> itself is working fine on all of my systems.

 I believe I figured out the problem and a fix.  Try this patch:

Index: debian/src/sysv-rc/etc/init.d/rc
===================================================================
--- debian/src/sysv-rc/etc/init.d/rc    (revision 1898)
+++ debian/src/sysv-rc/etc/init.d/rc    (working copy)
@@ -117,6 +117,7 @@
 #
 case "$CONCURRENCY" in
        makefile|startpar|shell) # startpar and shell are obsolete
+               CONCURRENCY=makefile
                log_action_msg "Using makefile-style concurrent boot in runlevel $runlevel"
                # The splash API is not handled with this CONCURRENCY mode.
                # It need to be implented in startpar.  Until that is done

Will upload a fixed version soon.

Happy hacking,
-- 
Petter Reinholdtsen




Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. (Sat, 15 May 2010 18:51:09 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Sat, 15 May 2010 18:51:10 GMT) Full text and rfc822 format available.

Message #31 received at 581704-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 581704-close@bugs.debian.org
Subject: Bug#581704: fixed in sysvinit 2.88dsf-5
Date: Sat, 15 May 2010 18:47:38 +0000
Source: sysvinit
Source-Version: 2.88dsf-5

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.88dsf-5_i386.deb
  to main/s/sysvinit/initscripts_2.88dsf-5_i386.deb
sysv-rc_2.88dsf-5_all.deb
  to main/s/sysvinit/sysv-rc_2.88dsf-5_all.deb
sysvinit-utils_2.88dsf-5_i386.deb
  to main/s/sysvinit/sysvinit-utils_2.88dsf-5_i386.deb
sysvinit_2.88dsf-5.diff.gz
  to main/s/sysvinit/sysvinit_2.88dsf-5.diff.gz
sysvinit_2.88dsf-5.dsc
  to main/s/sysvinit/sysvinit_2.88dsf-5.dsc
sysvinit_2.88dsf-5_i386.deb
  to main/s/sysvinit/sysvinit_2.88dsf-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581704@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 15 May 2010 20:31:19 +0200
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts
Architecture: source i386 all
Version: 2.88dsf-5
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 581704
Changes: 
 sysvinit (2.88dsf-5) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Make sure now obsolete startpar and shell concurrency setting
     work as aliases for makefile style concurrency (Closes: #581704).
Checksums-Sha1: 
 721baf17f7307246e4d87367351b6753d3ba6053 1506 sysvinit_2.88dsf-5.dsc
 1d020df86b84a0799821bde4b97faa1301e378fb 160612 sysvinit_2.88dsf-5.diff.gz
 605d3c9f95115e8981f9f0248c0778ca9a396bb0 113604 sysvinit_2.88dsf-5_i386.deb
 311ae7f914796b5e1f5485d2b865296e97fea5db 116132 sysvinit-utils_2.88dsf-5_i386.deb
 90b405c6d119b169be061aa3d842f5544bc7cfd1 68996 initscripts_2.88dsf-5_i386.deb
 6f6056602403dadc0eeb25b0006774a0f07137c6 59210 sysv-rc_2.88dsf-5_all.deb
Checksums-Sha256: 
 10860193d537cbbbc5084b25579c279c08264655ff2b581d2a75e846b7958e5c 1506 sysvinit_2.88dsf-5.dsc
 1b621ebca13623203af428ac0d4d55172d61bfbd4cd2c49b43f104432df79a6a 160612 sysvinit_2.88dsf-5.diff.gz
 112e2d40755f4859aa5338509e425747beaf53dceb6297de84853a91fad9dc83 113604 sysvinit_2.88dsf-5_i386.deb
 57f7c37bd2043971e605a903723a01c2ebaede4cb46e12c89ecebbbf8c7a2176 116132 sysvinit-utils_2.88dsf-5_i386.deb
 0c4ce6f7eeeb81cecdde113f6278ff7946a4916cdc9bc11bed3a047630cdd0e5 68996 initscripts_2.88dsf-5_i386.deb
 75e841d5c2a1deee193f42704424626548c377b168776da2b50bae317d6cab45 59210 sysv-rc_2.88dsf-5_all.deb
Files: 
 8885966be9c4b989390a21cf6dfbf61a 1506 admin required sysvinit_2.88dsf-5.dsc
 3c4522013433257d7d2628ab9250592a 160612 admin required sysvinit_2.88dsf-5.diff.gz
 4fe20f4e17147ec0dc09ad310c4786ec 113604 admin required sysvinit_2.88dsf-5_i386.deb
 385a808d283bffd8c5e65fde949e7eb3 116132 admin required sysvinit-utils_2.88dsf-5_i386.deb
 d8ec3a6ec011cd51082e6f9041aef7ac 68996 admin required initscripts_2.88dsf-5_i386.deb
 5d2834977f01d9cc70446970e165bbd7 59210 admin required sysv-rc_2.88dsf-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFL7upn20zMSyow1ykRAog4AJ42nRvtGGEvBt+REup+WKDZ1YyroACdEOmQ
tRaGH8Gksj6lH+BV7RM4bQA=
=I+uQ
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sat, 15 May 2010 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sat, 15 May 2010 19:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 581704@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 581704@bugs.debian.org, Josh Triplett <josh@joshtriplett.org>
Subject: Re: Bug#581704: sysvinit: Failing to run init script (or ordering problem) after upgrade from startpar to makefile
Date: Sat, 15 May 2010 21:22:00 +0200
[Message part 1 (text/plain, inline)]
Hi

On Saturday 15 May 2010, Petter Reinholdtsen wrote:
> [Stefan Lippers-Hollmann]
> > Hi
> > 
> > I can reproduce this problem on systems that are using
> > 	$ grep CONCURRENCY /etc/default/rcS 
> > 	CONCURRENCY=startpar
> 
> Thank you.  Now I see it too.
> 
> > After setting it to CONCURRENCY=makefile (or removing the setting
> > alltogether, which has become equivalent with CONCURRENCY=makefile
> > in sysvinit 2.88dsf-4 anyways), the problem vanishes. So it seems
> > that only the startpar alias is affected; CONCURRENCY=makefile
> > itself is working fine on all of my systems.
> 
>  I believe I figured out the problem and a fix.  Try this patch:
> 
> Index: debian/src/sysv-rc/etc/init.d/rc
> ===================================================================
> --- debian/src/sysv-rc/etc/init.d/rc    (revision 1898)
> +++ debian/src/sysv-rc/etc/init.d/rc    (working copy)
> @@ -117,6 +117,7 @@
>  #
>  case "$CONCURRENCY" in
>         makefile|startpar|shell) # startpar and shell are obsolete
> +               CONCURRENCY=makefile
>                 log_action_msg "Using makefile-style concurrent boot in runlevel $runlevel"
>                 # The splash API is not handled with this CONCURRENCY mode.
>                 # It need to be implented in startpar.  Until that is done
> 
> Will upload a fixed version soon.

Yes, I can confirm that this version works fine.

Thanks a lot
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Sun, 16 May 2010 11:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Richard Hartmann <richih.mailinglist@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Sun, 16 May 2010 11:57:10 GMT) Full text and rfc822 format available.

Message #41 received at 581704@bugs.debian.org (full text, mbox):

From: Richard Hartmann <richih.mailinglist@gmail.com>
To: pere@hungry.com
Cc: 581704@bugs.debian.org
Subject: Commenting the patch
Date: Sun, 16 May 2010 13:52:37 +0200
Hi Petter,

I suggest you add a short comment to your fix. The reasoning
behind it will be lost at some point. And while it's certainly
possible to trace the reasoning behind it down, it would be
easier to just toss a short comment into the code


Thanks,
Richard




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Fri, 11 Jun 2010 09:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tanker Jedi" <tankerjedi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 11 Jun 2010 09:33:03 GMT) Full text and rfc822 format available.

Message #46 received at 581704@bugs.debian.org (full text, mbox):

From: "Tanker Jedi" <tankerjedi@gmail.com>
To: 581704@bugs.debian.org
Subject: sysvinit
Date: Fri, 11 Jun 2010 11:29:42 +0200
I have similar problems. It seems that / is read-only beacuse i get  
similar errors like Josh Triplet in message 3. Today i have upgraded the  
sysvinit packages but i did not help. I tried to use startpar and makefile  
values in rcS, but only none was useful.


tankerjedi@napsugar:~$ cat /etc/default/rcS
TMPTIME=0
SULOGIN=no
DELAYLOGIN=no
UTC=yes
VERBOSE=no
FSCKFIX=no
RAMRUN=no
RAMLOCK=no
CONCURRENCY=none

2.6.34 kernel and sid.

sysvinit 2.88dsf-8

Thanks,
TJ




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Fri, 11 Jun 2010 09:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 11 Jun 2010 09:42:03 GMT) Full text and rfc822 format available.

Message #51 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Tanker Jedi <tankerjedi@gmail.com>, 581704@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#581704: sysvinit
Date: Fri, 11 Jun 2010 11:39:54 +0200
[Tanker Jedi]
> I have similar problems. It seems that / is read-only beacuse i get  
> similar errors like Josh Triplet in message 3. Today i have upgraded the  
> sysvinit packages but i did not help.

Did you also upgrade the sysvinit-utils and sysv-rc packages?  The fix
is in the sysv-rc package, and the startpar program is in the
sysvinit-utils package.

Can you provide the output from /usr/share/insserv/make-testsuite?  Is
there anything special about your environment I could use to replicate
this issue?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Fri, 11 Jun 2010 10:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tanker Jedi" <tankerjedi@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 11 Jun 2010 10:00:03 GMT) Full text and rfc822 format available.

Message #56 received at 581704@bugs.debian.org (full text, mbox):

From: "Tanker Jedi" <tankerjedi@gmail.com>
To: "Petter Reinholdtsen" <pere@hungry.com>, "581704@bugs.debian.org" <581704@bugs.debian.org>
Subject: Re: [Pkg-sysvinit-devel] Bug#581704: sysvinit
Date: Fri, 11 Jun 2010 11:56:56 +0200
[Message part 1 (text/plain, inline)]
Of course, i have upgraded them.

tankerjedi@napsugar:~$ apt-cache policy sysv-rc
sysv-rc:
  Telepítve: 2.88dsf-8
  Jelölt: 2.88dsf-8

tankerjedi@napsugar:~$ apt-cache policy sysvinit-utils
sysvinit-utils:
  Telepítve: 2.88dsf-8
  Jelölt: 2.88dsf-8

I do not know it is problem that i do not have /etc/insserv.conf file.
I use my own kernel, thats all "special" in my system.

Thanks,
TJ
[testsuite.log (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Fri, 11 Jun 2010 10:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 11 Jun 2010 10:09:02 GMT) Full text and rfc822 format available.

Message #61 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Tanker Jedi <tankerjedi@gmail.com>, 581704@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#581704: sysvinit
Date: Fri, 11 Jun 2010 12:04:37 +0200
[Tanker Jedi]
> Of course, i have upgraded them.

Good.

> I do not know it is problem that i do not have /etc/insserv.conf file.

Missing /etc/insserv.conf is definitely a problem if you use
dependency based boot sequencing.  Any idea why it is missing?  The
output from the make-testsuite script would be nice.  Also, the output
from /usr/share/insserv/check-initd-order might be useful.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#581704; Package sysvinit. (Fri, 11 Jun 2010 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Fri, 11 Jun 2010 10:33:03 GMT) Full text and rfc822 format available.

Message #66 received at 581704@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Tanker Jedi <tankerjedi@gmail.com>
Cc: 581704@bugs.debian.org
Subject: Re: Bug#581704: sysvinit
Date: Fri, 11 Jun 2010 12:31:03 +0200
[Tanker Jedi]
> It is good question. I had to delete many files in /etc/init.d to
> install sysvinit, because a blue window always warned me at apt-get
> upgrade.

Right.  If you deleted /etc/insserv.conf, try reinstalling insserv to
get the /etc/insserv.conf file back (it is needed for dependency based
boot ordering to work).  Without it, the boot ordering will be
completely broken.  When the insserv.conf file is back, you need to
update the boot ordering, for example using 'update-rc.d bootlogs defaults'.

Yours is a different problem from the one handled in this bug report,
which was that the CONCURRENCY=startpar setting was completely broken.

Putting 581704@ back on CC, to record what the solution to your
problem probably is.

Happy hacking,
-- 
Petter Reinholdtsen




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Jul 2010 07:31:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:35:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.